export default {
  name: 'BaseSlider',

  props: {
    value: {
      type: Number | String,
      default: 0
    },
    label: {
      type: String,
    },
    description: {
      type: String,
    },
  },
  computed: {
    inputListeners() {
      return Object.assign({},this.$listeners,{
        input:event=>{
          this.$emit('input',Number(event.target.value));
        }
      })
    },
  },
};
